//=========================================================================
// ANNAGameExample
//=========================================================================
class ANNAGameExample extends ANNAGameMode;

//========================================================================
// Command Hooks
//
// This allows you to run your own code when player functions are called.
// You can return true to prevent the original from calling
//========================================================================
function bool Say(DeusExPlayer sayer, string sayMsg)
{
	return false; //return true to prevent normal ANNA Say()
}

function bool TeamSay(DeusExPlayer sayer, string sayMsg)
{
	return false; //return true to prevent normal ANNA TeamSay()
}

function bool DropItem(Pawn player, Inventory inv)
{
	return false; //return true to prevent dropping inventory items
}

function bool SpectateON(Pawn player)
{
	return false; //return true to prevent ANNA spectate
}

function bool SpectateOFF(Pawn player)
{
	return false; //return true to prevent ANNA un-spectate
}

function bool TryJump(Pawn player)
{
	return false; //return true to prevent normal jump
}

function bool PlayerLanded(Pawn player)
{
	return false; //return true to prevent normal landing code
}

function bool PlayerSupportsActor(Pawn player, actor standingActor)
{
	return false; //return true to stop old standing-on-me behaviour
}

function bool TrySuicide(Pawn player)
{
	return false; //return true to prevent suicide
}

function bool PawnFragged(Pawn killer, optional Pawn victim, optional name damageType)
{
	return false; //return true to prevent normal frag code
}

function bool CanIDoThat(name thing, actor caller, optional int extra1, optional string extra2)
{
	return true; //return false to prevent thing from happening
}


// -------------------------------------------------------------------
// Custom commands
//
// You can create your own exec commands here. Players can call them
// by typing "say /commandname"
// -------------------------------------------------------------------
function CDXExtensionCommand(DeusExPlayer player, string playerCommand, out int CmdNotFound)
{
	Super.CDXExtensionCommand(player, playerCommand, cmdNotFound);
	
	if(playerCommand == "example1")
	{
		player.ClientMessage("Example command called!");
		Spawn(Class'DeusEx.Cat');
	}
}

function string GetTeamName(int teamID) //in case you want custom team names
{
	if(teamID == TEAM_UNATCO)
		return "Team ONE";
		
	if(teamID == TEAM_NSF)
		return "Team TWO";
		
	return "Team "$teamID;
}

function string GetGameName() //fills in the GameType field in server browser. Modders, change this to whatever you want
{
	return "CDX Example Game";
}

DefaultProperties
{
}
