//=============================================================================
// WeaponSword.
//=============================================================================
class ANNAWeaponSword extends ANNAWeapon;

var name lastAnim;

simulated function StartAtkAnim() //some code in here is borrowed from Lexi's DXW2!
{
	local float rnd, mult;
	local name anim;
	
	rnd = FRand();
	mult = 1.2;
	
	//randomly choose one. atk 2 is a copy of atk 1 in this model!
	if (rnd > 0.5)
		anim = 'Attack';
	else
		anim = 'Attack3';
			
	while(anim == lastAnim)
	{
		rnd = FRand();

		if (rnd > 0.5)
			anim = 'Attack';
		else
			anim = 'Attack3';
	}
	
	PlayAnim(anim,mult,0.1);
	PlaySound(FireSound);
	lastAnim = anim;
}

function int GetWeaponDamageSkill(int userLevel, optional actor target)
{	 
	if(userLevel == 0) //untrained (sp-only?)
		return 20;
	if(userLevel == 1) //trained
		return 30;
	if(userLevel == 2) //advanced
		return 35;
	if(userLevel == 3) //master
		return 40;
	if(userLevel == 4) //master + targ
		return 46;
		
	//vanilla values:
	//20 30 34 40
}

defaultproperties
{
	atkDelayTime=0.45
	shotTime=0.85
	bringUpTime=0.88
     LowAmmoWaterMark=0
     GoverningSkill=Class'DeusEx.SkillWeaponLowTech'
     NoiseLevel=0.050000
     EnemyEffective=ENMEFF_Organic
     reloadTime=0.000000
     maxRange=110
     AccurateRange=110
     BaseAccuracy=1.000000
     bHasMuzzleFlash=False
     bHandToHand=True
     bFallbackWeapon=True
     mpHitDamage=20
     mpBaseAccuracy=1.000000
     mpAccurateRange=110
     mpMaxRange=110
     AmmoName=Class'DeusEx.AmmoNone'
     ReloadCount=0
     bInstantHit=True
     FireOffset=(X=-25.000000,Y=10.000000,Z=24.000000)
     shakemag=20.000000
     FireSound=Sound'DeusExSounds.Weapons.SwordFire'
     SelectSound=Sound'DeusExSounds.Weapons.SwordSelect'
     Misc1Sound=Sound'DeusExSounds.Weapons.SwordHitFlesh'
     Misc2Sound=Sound'DeusExSounds.Weapons.SwordHitHard'
     Misc3Sound=Sound'DeusExSounds.Weapons.SwordHitSoft'
     InventoryGroup=13
     ItemName="Sword"
     PlayerViewOffset=(X=25.000000,Y=-10.000000,Z=-24.000000)
     PlayerViewMesh=LodMesh'DeusExItems.Sword'
     PickupViewMesh=LodMesh'DeusExItems.SwordPickup'
     ThirdPersonMesh=LodMesh'DeusExItems.Sword3rd'
     LandSound=Sound'DeusExSounds.Generic.DropLargeWeapon'
     Icon=Texture'DeusExUI.Icons.BeltIconSword'
     largeIcon=Texture'DeusExUI.Icons.LargeIconSword'
     largeIconWidth=130
     largeIconHeight=40
     invSlotsX=3
     Description="A rather nasty-looking sword."
     beltDescription="SWORD"
     Texture=Texture'DeusExItems.Skins.ReflectionMapTex1'
     Mesh=LodMesh'DeusExItems.SwordPickup'
     CollisionRadius=26.000000
     CollisionHeight=0.500000
     Mass=20.000000
}
