//==============================================
// CDXServerQuery
//==============================================
class CDXServerQuery expands UdpServerQuery;

var ANNAGameMode AGM;
var string mapStr;

//function PreBeginPlay(){}

function PostBeginPlay()
{
	local ANNAGameMode agm2;
	local int i;
	
	Super.PostBeginPlay();
	
//	foreach AllActors(Class'ANNAGameMode', agm2) //todo: update this to support GM extensions at some point (get child class of AGM if there are two AGMs)
//		AGM = agm2;
	
	mapStr = Left(string(Level), InStr(string(Level), "."));
	
	i = InStr(mapStr, "_Fix");
	
	if(i > 6)
		mapStr = Left(mapStr, i);	
		
	i = InStr(mapStr, "_Pathed");
	if(i > 6)
		mapStr = Left(mapStr, i);
}

function string GetInfo()
{
	local string ResultSet;

	// The server name, i.e.: Bob’s Server
	ResultSet = "\\hostname\\"$Level.Game.GameReplicationInfo.ServerName;

	// The short server name
	//ResultSet = ResultSet$"\\shortname\\"$Level.Game.GameReplicationInfo.ShortName;

	// The server port.
	ResultSet = ResultSet$"\\hostport\\"$Level.Game.GetServerPort();

	// The map/level title
	ResultSet = ResultSet$"\\maptitle\\"$Level.Title;
	
	// Map name
	//ResultSet = ResultSet$"\\mapname\\"$Left(string(Level), InStr(string(Level), "."));
	ResultSet = ResultSet$"\\mapname\\"$mapStr;

	// The mod or game type
	if(AGM != None)
		ResultSet = ResultSet$"\\gametype\\"$AGM.GetGameName();
	else
		ResultSet = ResultSet$"\\gametype\\"$GetItemName(string(Level.Game.Class));
		
	// The number of players
	ResultSet = ResultSet$"\\numplayers\\"$Level.Game.NumPlayers;

	// The maximum number of players
	ResultSet = ResultSet$"\\maxplayers\\"$Level.Game.MaxPlayers;

	// The game mode: openplaying
	ResultSet = ResultSet$"\\gamemode\\openplaying";

	// The version of this game.
	ResultSet = ResultSet$"\\gamever\\"$Level.EngineVersion;

	// The most recent network compatible version.
	ResultSet = ResultSet$"\\minnetver\\"$Level.MinNetVersion;

	ResultSet = ResultSet$Level.Game.GetInfo();

	return ResultSet;
}

defaultproperties
{
}